
package de.ivu.elect.business.ergebnis.control;

import de.ivu.elect.business.ergebnis.entity.Ergebnisart;

/**
 * Werte dieser Enum entsprechen den angebotenen Optionen beim Export von Ergebnissen (Stimmen, Sitze). Die Optionen
 * verweisen letztlich auf die Ergebnis-Entitäten, von denen eine (oder keine) ausgewählt werden muss. Da es bei
 * Destatis nur zwei Ergebnisse pro Wahl gibt (mit Ergebnisart Vorperiode und Endgültig), ergeben sich die drei
 * Optionen.
 */
public enum ErgebnisVerwendung {
  ENDGUELTIG(Ergebnisart.ENDGUELTIG),
  VORPERIODE(Ergebnisart.VORPERIODE),
  NICHT_BENUTZEN(null);

  private final Ergebnisart ergebnisart;

  private ErgebnisVerwendung(Ergebnisart ergebnisart) {
    this.ergebnisart = ergebnisart;
  }

  public Ergebnisart getErgebnisart() {
    return ergebnisart;
  }
}
